import axios from 'axios';
import { Config } from '../conf/config';

// Базовый клиент для API с автоматическим проставлением Bearer токена

const api_form = axios.create({
  baseURL: `${Config.API_URL}/api/v1`,
  headers: {
    Accept: 'application/json',
    'Content-Type': 'multipart/form-data',
  },
});

api_form.interceptors.request.use((config) => {
  const token = localStorage.getItem('access_token');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default api_form;
